Bug 75184 - RFE: install-time RPM %_install_langs should survive to post-install
RFE: install-time RPM %_install_langs should survive to post-install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-05 03:35 EDT by Alexandre Oliva
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 22:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-10-05 03:35:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After an installation in which only a few languages are installed, upgrading
packages such as glibc-common will take up a lot of additional space because
neither rpm -U nor up2date will take the install-time language selection into
account to limit the language-specific files that are installed.

It would be nice if anaconda would create an RPM macros file with an
%_install_langs line containing the same definition used at install time. 
Similarly, anaconda should pick it up when requested to upgrade a system that
had such a setting.
Comment 1 Jeremy Katz 2002-10-07 16:18:14 EDT
We're actually considering just dropping the use of %_install_langs for future
Comment 2 Jeremy Katz 2003-01-03 02:17:09 EST
We're not setting %_install_langs anymore as an experiment, especially with the
questions coming up now about how to add the .mo files later (which requires
basically reinstalling every package on your system.  ick)
Comment 3 Alexandre Oliva 2003-10-09 01:14:14 EDT
I wonder if there is a way to re-enable this feature.  I noticed that, if I
choose a few relevant languages for me in the rpm _install_langs macro and
reinstall all packages, I save a significant amount of disk space.  It would be
nice if there was some way I could arrange for the installer to do what I want,
in a kickstart %pre command.  Is there?
Comment 4 Alexandre Oliva 2003-10-09 18:14:13 EDT
I tried adding this to %pre, but it doesn't seem to have affected in any way an
install of a current tree:

echo '# added by kickstart pre scripts' >> /etc/rpm/macros
echo '%_install_langs en_US:pt_BR:en:pt' >> /etc/rpm/macros

I noticed that /etc/rpm/macros didn't make it to the installed tree, so I wasn't
sure it affected anything.  Then I tried this:

echo '# added by kickstart pre scripts' >> /etc/rpm/macros
echo '%_install_langs en_US:pt_BR:en:pt' >> /etc/rpm/macros
(until test -d /mnt/sysimage/etc/rpm; do sleep 1; done &&
 cp /etc/rpm/macros /mnt/sysimage/etc/rpm &)

Now it made it to the install tree, but still, no difference in the total
install size.

I ended up adding the definition of _install_langs to ~root/.rpmmacros, and
reinstalled all packages, and still no difference!

I guess the current tree just isn't amenable to the kind of space savings I used
to observe a whiel ago.  Time to bump up the size of the root logical volume... :-)

Or am I missing something else, like a change in the macro name, or some
overrider elsewhere?
Comment 5 Jeremy Katz 2004-10-04 22:50:22 EDT
Now that we don't set %_install_langs at install time, carrying it
through to the installed system isn't really relevant.

Note You need to log in before you can comment on or make changes to this bug.